Subject: Re: [bug#44077] [PATCH 1/2] gnu: Add python-poetry-core.

From: Tanguy Le Carrour <[email-masked]>
Date: Thu, 22 Oct 2020 09:22:07 +0200

Hi Nicolas,

Le 10/21, Nicolas Goaziou a écrit :
> Tanguy Le Carrour <[email-masked]> writes:
> > Le 10/20, Nicolas Goaziou a écrit :
> >> > +          (base32
> >> > +            "1mgv276h1iphn5fqhp2sgkgd5d0c39hs33vgaf157x5ri7rlyrka"))))
> >> 
> >> Nitpick: move the string on the same line as `base32'.
> >
> > I have no clue what the rule is, but… most (but not all!?) packages in
> > `gnu/packages/python-xyz.scm` have the string on a new line.
> 
> Note that "everyone else does this" may not be a strong reason to do
> something. ;)

+1 :-)
The thing is, I'm not yet sure to understand the coding style, and
`etc/indent-code.el` leaves you some (too much?) freedom.
I've been happily using Black [1] to format my Python code for some time now,
and I *might* have become a bit lazy!

[1]: https://github.com/psf/black

> I suspect that most packages in this file come from the "pypi" importer,
> which automatically adds this newline character, for some reason.
> 
> > I'll leave it on a new line if it's OK with you.

You've got me there! I imported it!
Actually, I'd rather put everything on a single line if it fits (and
`indent-code.el` does not complain when I put `sha256` and `base32` on the
same line). I just didn't want to be pointed at as "the guys who does
not split the line". ^_^'

> This spurious newline character hurts my eyes and my logic, but
> ultimately, it will not hurt me. So, if that's important to you, go
> ahead.

Updated and pushed!

Thanks again for your time and your advice!

-- 
Tanguy